Bug 140475 - [patch] sysutils/xfce4-wavelan-plugin fix for wlan0 interface and signal bars
Summary: [patch] sysutils/xfce4-wavelan-plugin fix for wlan0 interface and signal bars
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-11 16:20 UTC by J.R. Oldroyd
Modified: 2009-11-28 11:50 UTC (History)
0 users

See Also:


Attachments
file.diff (6.07 KB, patch)
2009-11-11 16:20 UTC, J.R. Oldroyd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2009-11-11 16:20:01 UTC
On systems using wlan0 as WiFi interface, wavelan-plugin does not
detect interface.  This patch fixes this.
In addition, the scaling of the rssi value means that wavelan-plugin
only shows "3 bars" even for strong signals.  This patch adjusts the
scaling.

How-To-Repeat: Configure a wlan0 WiFi interface and run this plugin.  Observe that
the interface is not detected.
Comment 1 Edwin Groothuis freebsd_committer 2009-11-11 16:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2009-11-13 20:12:28 UTC
State Changed
From-To: open->feedback

Hey, thx for your work on that, could you please resend the patch as 
attachment? and was this submitted to upstream?
Comment 3 Martin Wilke freebsd_committer 2009-11-28 11:46:48 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-11-28 11:46:52 UTC
miwi        2009-11-28 11:46:38 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/xfce4-wavelan-plugin Makefile 
    sysutils/xfce4-wavelan-plugin/files 
                                        patch-panel-plugin_wi_bsd.c 
  Log:
  - Fix wlan0 interface and signal bars
  
  PR:             140475
  Submitted by:   "J.R. Oldroyd" <fbsd@opal.com> (many thanks! for this patch)
  
  Revision  Changes    Path
  1.28      +1 -1      ports/sysutils/xfce4-wavelan-plugin/Makefile
  1.2       +17 -14    ports/sysutils/xfce4-wavelan-plugin/files/patch-panel-plugin_wi_bsd.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"